VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ViewEventListenerAdapter Class Reference

View Event Listener Interface Adapter. More...

`#include <iviewlistener.h>`

Inheritance diagram for ViewEventListenerAdapter:

## Public Member Functions
void | viewOnEvent (CView *view, Event &event) override
| called on an event on a view
Public Member Functions inherited from IViewEventListener
virtual | ~IViewEventListener () noexcept=default

## Detailed Description

View Event Listener Interface Adapter.

## Member Function Documentation

## ◆ viewOnEvent()

void viewOnEvent | ( | CView * | view,
|  | Event & | event )
| inline override virtual

called on an event on a view

whenever an event is dispatched to a view, the listener will be notified about it and can mark the event as consumed if necessary to prevent that the event is handled by the view and further dispatched in the view hierarchy.

Implements IViewEventListener.

The documentation for this class was generated from the following file:

- iviewlistener.h